# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.588.1.1 -> 1.588.1.2
#	drivers/usb/storage/transport.c	1.16    -> 1.17   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/26	Andries.Brouwer@cwi.nl	1.588.1.2
# [PATCH] usb-storage
# 
# Problem has been found and fixed. A wild pointer was created,
# and what happened afterwards was essentially random. Below the
# 1-symbol fix that I sent to the list yesterday.
# --------------------------------------------
#
diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Tue May 28 23:49:05 2002
+++ b/drivers/usb/storage/transport.c	Tue May 28 23:49:05 2002
@@ -430,7 +430,7 @@
 
 	/* fill the URB */
 	FILL_CONTROL_URB(us->current_urb, us->pusb_dev, pipe, 
-			 (unsigned char*) &dr, data, size, 
+			 (unsigned char*) dr, data, size, 
 			 usb_stor_blocking_completion, NULL);
 
 	/* submit the URB */
